
Figure - 开发 Dev #111194
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 111193 (New): 【MK】【028】【PWM】主任务

【MK】【028】【PWM】【TC-RID: 1201-0102801】PWM 驱动bring up
2022-08-11 13:32 - CD TPM-申艳艳

Status: 完成 Closed Start date: 2022-08-11

Priority: Normal Due date: 2022-08-11

Assignee: SZTS_TEST 邹涛 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V2.0_20220930

Description

请填写信息：

■需求列表:

https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc

■提出URL：必填

■自测case：必填

■注意点：需要测试注意的前提条件

History

#1 - 2022-08-11 18:13 - SZ TPM-罗云进

- Due date set to 2022-08-11

- Assignee changed from SZ TPM-罗云进 to SZTS_TEST 邹涛

- Target version set to 588

- % Done changed from 0 to 90

■提出URL：https://dev.thundercomm.com/gerrit/#/c/142173/

■自测case：

1.烧录08/11之后的版本

2.烧录完开机之后，风扇会按照默认的占空比60%转

#2 - 2022-08-16 16:33 - SZTS_TEST 邹涛

- Assignee changed from SZTS_TEST 邹涛 to SZ TPM-罗云进

N代表占空比，0-100，数值越大，风扇转速越高

echo N>/sys/devices/platform/vendor/vendor:qcom,fan_f/pwm_duty

软件版本：       0.0.0.20220816_alpha_private

使用如上命令可以控制风扇转速，开机查看风扇转速，研发未提供

#3 - 2022-09-02 10:57 - SZ TPM-罗云进

- Status changed from New to 解决 Resolved

- Assignee changed from SZ TPM-罗云进 to SZTS_TEST 邹涛

- % Done changed from 90 to 100

#4 - 2022-09-16 09:55 - CD SWPM-杨宏伟
https://thundersoft.feishu.cn/sheets/shtcnqaFyklNSnMcKWLulCI3xnc
https://dev.thundercomm.com/gerrit/#/c/142173/


- Target version changed from 588 to VX1_MCE_FSE_V2.0_20220930

#5 - 2022-09-26 16:34 - SZTS_TEST 邹涛

- Status changed from 解决 Resolved to 完成 Closed

0924release版本验证

风扇在开机时会自动转动一次，之后根随主板温度转动、测试过程中升温可以使用电吹风进行加热，并使用命令实时查看温度值

当前的风扇分为三档：一档转速比值102、二档153、三档204

温度对应的风扇动作：

1、0~49.9  风扇不动

2、50~60，风扇一档

3、60~75.风扇为二档

4、75以上、风扇为三档"

#6 - 2022-12-22 20:23 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

142173 general/LINUX/android/vendor/qco

m/proprietary

Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

yunlong.song@thundercomm.com

BSP:PWM:Bringup PWM fan(1/2)Add the Fan device node and relative PWM in DTTC-RID: 1201-0102801IssueID: TC-R-DF-111194Change-Id:

I15a197ac4908c26ca5262fda44a1469058238dc6

#7 - 2022-12-22 20:23 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

142177 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

yunlong.song@thundercomm.com

BSP:PWM:Bringup PWM fan(2/2)Add relative driver for PWM fan, and you can adjuest fan rate bycommand: "echo xxx

>/sys/devices/platform/vendor/vendor:qcom,fan_f/pwm_duty" TC-RID: 1201-0102802IssueID: TC-R-DF-111194Change-Id:

I713da9c52c247465df9d4a5a90d4b8c7a95b8d84
